#!/bin/bash

#Please read Readme-config

function try_ghli {
	q=`echo '
#include <'$1'ghli.h>
char *safe_path = "";
int safe = 0;
int main() {
	ghli_t *h;

	printf("OK\n");
	return 0;
}
	'  | test_compile`

	echo "[scripts] Trying ghli with $1, $CFLAGS, $LDFLAGS -> $q" >> $LOG


	if test "$q" = "OK"
	then
		return 0
	fi

	return 1
}

function ghli_find() {
	gpmi_fstools=`gpmi-config --fstools 2>/dev/null` 
	if test -z "$gpmi_fstools"
	then
		echo "[SCRIPT] Warning: GPMI is not already installed, it's not possible to compile the GHLI module." >> $LOG
		return
	fi
	includes=`gpmi-config --include`
#	LDFLAGS=`gpmi-config --libs`
	static=`gpmi-config --static`
	STATIC_PKG="$static/array/iarr-static.o $static/array/parr-static.o $static/strings/cuttok-static.o"
	LDFLAGS="-lghli_helper -lghli_pc_pascal -lghli_pc_common -lghli $STATIC_PKG $LDFLAGS $with_sys_ldl"
	CFLAGS="$includes $with_sys_cflags"
	try_ghli "" 2>/dev/null && echo "$includes | $LDFLAGS"
}

#echo tempfile=$with_fs_tempfile

#remove these before you start using it
. lib/compile.lib
ghli_find
