#!/bin/bash

#Please read Readme-config

function try_perl {
	q=`echo '
#include <EXTERN.h>
#include <perl.h>
int main() {
	PerlInterpreter *interp;
	
	interp = perl_alloc();
	printf("OK");
	return 0;
}
	'  | test_compile`

	echo "[scripts] Trying perl with $1, $CFLAGS, $LDFLAGS -> $q" >> $LOG
	
	if test "$q" = "OK"
	then
		return 0
	fi

	return 1
}

function perl_find() {
	LDFLAGS=`perl -MExtUtils::Embed -e ldopts`
	includes=`perl -MExtUtils::Embed -e ccopts`
	CFLAGS=$includes
	try_perl "" 2>/dev/null && echo $includes "|" $LDFLAGS && return
	
	# remove the quotes and convert \ to / (needed for windows)
	LDFLAGS=`echo $LDFLAGS | sed "s@\"@@g" | sed "s@\\\\\\\\@/@g"`
	includes=`echo $includes | sed "s@\"@@g" | sed "s@\\\\\\\\@/@g"`
	CFLAGS=$includes
	try_perl "" 2>/dev/null && echo "$includes | $LDFLAGS"
}

#remove these before you start using it
. lib/compile.lib
perl_find
