#!/bin/bash

#Please read Readme-config

function try_stutter {
	q=`echo '
#include <'$1'stutter.h>
int main() {
	varctx *global;
	global = varctx_create(NULL, 256);

	printf("OK");
	return 0;
}
	'  | test_compile`

	echo "[scripts] Trying Stutter with $1, $LDFLAGS ->$q" >> $LOG
	
	if test "$q" = "OK"
	then
		return 0
	fi

	return 1
}

function stutter_find() {
	LDFLAGS=-lstutter
	try_stutter "" 2>/dev/null && echo "|" $LDFLAGS && return
	try_stutter "stutter/" 2>/dev/null && echo "-I stutter|" $LDFLAGS && return

	for n in `ls -d /usr/local/include/stutter* /usr/include/stutter* 2>/dev/null`
	do
		LDFLAGS=`echo "-l$n" | sed s@/usr.*include/@@`
		try_stutter "$n/" 2>/dev/null  && echo -I $n "|" $LDFLAGS && return
		LDFLAGS=-lstutter
		try_stutter "$n/" 2>/dev/null && echo -I $n "|" $LDFLAGS && return
	done
}

#remove these before you start using it
. lib/compile.lib
stutter_find
