/*
    libgpmi - General Package/Module Interface - str_buff
    Copyright (C) 2005-2007 Patric 'TrueLight' Stout & Tibor 'Igor2' Palinkas
  
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
  
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
  
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <stdio.h>

typedef struct str_buff_t {
	int allocated, used;
	char *buff;
} str_buff_t;

str_buff_t *str_buff_open();
void str_buff_add(str_buff_t *b, char *s, int len);
void str_buff_print(FILE *f, str_buff_t *b);
void str_buff_close(str_buff_t *b);

char str_buff_tmp[1024];
int str_len_tmp;
#define sbprintf(str_buff, x...)		{ str_len_tmp = snprintf(str_buff_tmp, sizeof(str_buff_tmp), x); str_buff_add(str_buff, str_buff_tmp, str_len_tmp); }
